<?php
/**
 * All settings related to footer recommended post.
 *
 * @package NewsMaster
 */
$wp_customize->add_section(
	'footer_recommended_post',
	array(
		'title' => esc_html__( 'Recommended Section', 'newsmaster' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'newsmaster_options[enable_recommended_post]',
    array(
        'default'           => $newsmaster_default['enable_recommended_post'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_recommended_post]',
    array(
        'label'       => esc_html__( 'Enable Recommended Post', 'newsmaster' ),
        'section'     => 'footer_recommended_post',
        'type'        => 'checkbox',
    )
);


$wp_customize->add_setting(
    'newsmaster_options[recommended_post_layout]',
    array(
        'default'           => $newsmaster_default['recommended_post_layout'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'newsmaster_sanitize_radio'
    )
);


$wp_customize->add_control(
    new NewsMaster_Custom_Radio_Image_Control(
        $wp_customize,
        'newsmaster_options[recommended_post_layout]',
        array(
            'label'         => esc_html__( 'Recommended Post Layout', 'newsmaster' ),
            'section'       => 'footer_recommended_post',
            'choices'       => newsmaster_get_recommended_post(),
        )
    )
);



$wp_customize->add_setting(
    'newsmaster_options[recommended_post_title]',
    array(
        'default'           => $newsmaster_default['recommended_post_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmaster_options[recommended_post_title]',
    array(
        'label'    => __( 'Recommended Post', 'newsmaster' ),
        'section'  => 'footer_recommended_post',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'newsmaster_options[recommended_post_category]',
    array(
        'default'           => $newsmaster_default['recommended_post_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new NewsMaster_Dropdown_Taxonomies_Control(
        $wp_customize,
        'newsmaster_options[recommended_post_category]',
        array(
            'label'           => __( 'Choose Category', 'newsmaster' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'newsmaster' ),
            'section'         => 'footer_recommended_post',
        )
    )
);


$wp_customize->add_setting(
    'newsmaster_options[recommended_post_offsets]',
    array(
        'default' => $newsmaster_default['recommended_post_offsets'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newsmaster_options[recommended_post_offsets]',
    array(
        'label' => __('Post Offset', 'newsmaster'),
        'section' => 'footer_recommended_post',
        'type' => 'number',
    )
);


$wp_customize->add_setting(
    'newsmaster_options[enable_recommended_post_author_meta]',
    array(
        'default' => $newsmaster_default['enable_recommended_post_author_meta'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_recommended_post_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'newsmaster'),
        'section' => 'footer_recommended_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_recommended_post_author_meta]',
    array(
        'default' => $newsmaster_default['select_recommended_post_author_meta'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_recommended_post_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'newsmaster'),
        'section' => 'footer_recommended_post',
        'type' => 'select',
        'choices' => newsmaster_author_meta(),
    )
);
$wp_customize->add_setting(
    'newsmaster_options[recommended_post_author_meta_title]',
    array(
        'default' => $newsmaster_default['recommended_post_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmaster_options[recommended_post_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'newsmaster'),
        'section' => 'footer_recommended_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[enable_recommended_post_date_meta]',
    array(
        'default' => $newsmaster_default['enable_recommended_post_date_meta'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_recommended_post_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'newsmaster'),
        'section' => 'footer_recommended_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_recommended_post_date]',
    array(
        'default' => $newsmaster_default['select_recommended_post_date'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_recommended_post_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'newsmaster'),
        'section' => 'footer_recommended_post',
        'type' => 'select',
        'choices' => newsmaster_date_meta(),
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_recommended_post_date_meta_title]',
    array(
        'default' => $newsmaster_default['select_recommended_post_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_recommended_post_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'newsmaster'),
        'section' => 'footer_recommended_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_recommended_post_date_format]',
    array(
        'default' => $newsmaster_default['select_recommended_post_date_format'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_recommended_post_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'newsmaster'),
        'section' => 'footer_recommended_post',
        'type' => 'select',
        'choices' => newsmaster_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'newsmaster_options[enable_recommended_post_category_meta]',
    array(
        'default' => $newsmaster_default['enable_recommended_post_category_meta'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_recommended_post_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'newsmaster'),
        'section' => 'footer_recommended_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_recommended_post_number_of_category]',
    array(
        'default' => $newsmaster_default['select_recommended_post_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_recommended_post_number_of_category]',
    array(
        'label' => __('Number of Category', 'newsmaster'),
        'section' => 'footer_recommended_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[recommended_post_category_label]',
    array(
        'default' => $newsmaster_default['recommended_post_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmaster_options[recommended_post_category_label]',
    array(
        'label' => __('Category Label', 'newsmaster'),
        'section' => 'footer_recommended_post',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'newsmaster_options[select_recommended_post_category_color]',
    array(
        'default' => $newsmaster_default['select_recommended_post_category_color'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_recommended_post_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'newsmaster'),
        'section' => 'footer_recommended_post',
        'type' => 'select',
        'choices' => newsmaster_category_color(),
    )
);